package com.lifethinkist.textfile;

import android.content.Context;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ArrayAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.dropbox.sync.android.DbxFileInfo;
import org.apache.commons.io.FilenameUtils;

import java.util.ArrayList;

public class FilesDropboxArrayAdapter extends ArrayAdapter<DbxFileInfo> {

    private ArrayList<DbxFileInfo> fileInfos;

    public FilesDropboxArrayAdapter(Context context, int iResourceId, ArrayList<DbxFileInfo> fileInfos){
        super(context, iResourceId, fileInfos);
        this.fileInfos = fileInfos;
    }

    public View getView(int position, View convertView, ViewGroup parent){
        View row = convertView;

        if (row == null) {
            LayoutInflater inflater = (LayoutInflater) getContext().getSystemService(Context.LAYOUT_INFLATER_SERVICE);
            row = inflater.inflate(R.layout.list_row_files, null);
        }

        DbxFileInfo info = fileInfos.get(position);

        ImageView icon = (ImageView)row.findViewById(R.id.files_row_icon);
        TextView filename = (TextView)row.findViewById(R.id.files_row_name);

        if (info.isFolder){
            icon.setImageResource(R.drawable.folder);
        } else {
            icon.setImageResource(R.drawable.file);
        }

        // Get filename
        String filenameWithExtension = fileInfos.get(position).path.getName();

        // Remove file extension
        String filenameWithoutExtension = FilenameUtils.removeExtension(filenameWithExtension);

        // Set text in list row
        filename.setText(filenameWithoutExtension);

        return row;
    }


}
